### A free/open-source library for quantitative finance

Public Member Functions
FdBlackScholesRebateEngine Class Reference
Barrier option engines

Finite-Differences Black Scholes barrier option rebate helper engine. More...

`#include <ql/pricingengines/barrier/fdblackscholesrebateengine.hpp>`

Inheritance diagram for FdBlackScholesRebateEngine:
[legend]

List of all members.

## Public Member Functions

| FdBlackScholesRebateEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Size tGrid=100, Size xGrid=100, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Douglas(), bool localVol=false, Real illegalLocalVolOverwrite=-Null< Real >())
void | calculate () const

## Detailed Description

Finite-Differences Black Scholes barrier option rebate helper engine.